// 
// File: DII_IND.H
//
// Description: Declarations for Dynamic Industrial Interface
//              Library (PCI Industrial Cards Version)
//				For Windows 95 and Windows NT
//
//              Standard Version
//
// Copyright (C) 2001  Decision Intl. Ltd
// All rights reserved.
//
//

#ifndef DII_H
#define DII_H

#if defined (__cplusplus)
extern "C" {
#endif

#ifndef LPBOOL
#define LPBOOL BOOL FAR *
#endif

//#define	DII_FLAG

#ifndef DII_FLAG
	#define DIIAPI __declspec(dllexport) 
#else
	#define DIIAPI __declspec(dllimport) 
#endif  // end for DII_FLAG

// -------------------------------------------------------------------------
//					Functions to open and close Devices
// -------------------------------------------------------------------------

// DiiOpenDevice opens an Device for later use
HANDLE DIIAPI DiiOpenDevice 
					(	DWORD,		// Device ID
						DWORD,		// index of Device
						BOOL );		// open exclusively

// DiiOpenNamedDevice opens a device by it's name
HANDLE DIIAPI DiiOpenNamedDevice (
						LPCTSTR,	// Device Name
						BOOL );		// open exclusively

// DiiCloseDevice closes an Device.

// Return Value: TRUE, of Device was closed successfully, FALSE otherwise.
BOOL DIIAPI DiiCloseDevice 
					( HANDLE );		// handle of previously 
									// opened Device

	

// -------------------------------------------------------------------------
//			Functions to for digital input/output
// -------------------------------------------------------------------------
//
//	The Port Number for digital input/output function is 1 base
//	
//

// DiiSetDigitalByte writes an 8-bit value to a digital channel
// return value: TRUE if the value was written
// successfully, FALSE otherwise.
// see GetLastError error codes for more detailed information
BOOL DIIAPI DiiSetDigitalByte (
						HANDLE,		// a handle of an Device previously opened
						DWORD,		// the number of the port to write
						BYTE);		// the value to write to the channel

// DiiGetDigitalByte reads an 8-bit value from a digital channel
// return value: TRUE if the value was read
// successfully, FALSE otherwise.
// see GetLastError error codes for more detailed information
BOOL DIIAPI DiiGetDigitalByte (
						HANDLE,		// a handle of an Device previously opened
						DWORD,		// the number of the port to read
						LPBYTE);	// points to the value read from the port


//
// DiiGetOutputPortByte reads the state of an output port, either
// directly from the card, or from the port cache of the kernel drivers
// (if any)
//
BOOL DIIAPI DiiGetOutputPort (
						HANDLE,		// a handle of an Device previously opened
						DWORD,		// the number of the output port to read
						LPBYTE);	// points to the value read from the port


#if defined (__cplusplus)
}
#endif

#endif  // end for define DII_H
